GET
/api/v1/kubernetes/k8s-monitoring-nodes/{service_id}/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/k8s-monitoring-nodes/{service_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/k8s-monitoring-nodes/{service_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/k8s-monitoring-nodes/{service_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the cluster’s nodes as seen by monitoring - each node’s id, name, vm_id, public/private IP, status, vm_type (master/worker), monitor status, and whether the monitoring and alert tabs are enabled for it. Use the cluster service_id. The node id/vm_id from here feeds Server Health and the alert operations.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”service_id
required
integer
The cluster service_id, as returned by List.
Example
12345Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Cluster nodes as seen by monitoring.
Array<object>
object
id
integer
name
string
vm_id
integer
created_at
string
public_ip_address
string
private_ip_address
string
status
string
vm_type
string
is_monitored
boolean
monitor_status
object
status
string
reason
string
monitoring_tab_enabled
boolean
alert_tab_enabled
boolean
location
string
worker_name
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "id": 320000, "name": "master_0_service_12345", "vm_id": 323992, "created_at": "2026-07-01T06:21:49.151569Z", "public_ip_address": "203.0.113.10", "private_ip_address": "10.20.30.10", "status": "Running", "vm_type": "master", "is_monitored": true, "monitor_status": { "status": "activated", "reason": "" }, "monitoring_tab_enabled": true, "alert_tab_enabled": true, "location": "Delhi", "worker_name": "onekube-ip-10-20-30-10" } ], "message": "Success"}